	//----------InvestigateTable_Assessment开始----------
    
	using System;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
//using System.Data.Entity.ModelConfiguration;
using Ewide.NbzsZheliban.Entity;
using System.Runtime.Serialization;
	namespace Ewide.NbzsZheliban.Entity
	{	
        /// <summary>
        /// 数据表实体类：InvestigateTable_Assessment 
        /// </summary>
		[Table("InvestigateTable_Assessment")]
        public partial class InvestigateTable_Assessment: BaseEntity        {    
		                    /// <summary>
                /// 无描述
                /// </summary>    
				
				[Display(Name="无描述")]   
				[Key]
								[Column("ID")]   
				[DataMember]  
			    public Guid ID  {get;set;}   
                                /// <summary>
                /// 无描述
                /// </summary>    
				
				[Display(Name="无描述")]   
								[Column("ProjectId")]   
				[DataMember]  
			    public Guid? ProjectId  {get;set;}   
                                /// <summary>
                /// 无描述
                /// </summary>    
				
				[Display(Name="无描述")]   
								[Column("ProjectName")]   
				[DataMember]  
			    public string ProjectName  {get;set;}   
                                /// <summary>
                /// 调查表ID
                /// </summary>    
				
				[Display(Name="调查表ID")]   
								[Column("InvestigateTableID")]   
				[DataMember]  
			    public Guid InvestigateTableID  {get;set;}   
                                /// <summary>
                /// 评估金额
                /// </summary>    
				
				[Display(Name="评估金额")]   
								[Column("HousingAssessmentValue")]   
				[DataMember]  
			    public decimal? HousingAssessmentValue  {get;set;}   
                                /// <summary>
                /// 装修评估金额小计
                /// </summary>    
				
				[Display(Name="装修评估金额小计")]   
								[Column("DecorateAssessedValue")]   
				[DataMember]  
			    public decimal? DecorateAssessedValue  {get;set;}   
                                /// <summary>
                /// 附属物评估金额小计
                /// </summary>    
				
				[Display(Name="附属物评估金额小计")]   
								[Column("AttachedAssessedValue")]   
				[DataMember]  
			    public decimal? AttachedAssessedValue  {get;set;}   
                                /// <summary>
                /// 无描述
                /// </summary>    
				
				[Display(Name="无描述")]   
								[Column("countValue")]   
				[DataMember]  
			    public decimal? countValue  {get;set;}   
                                /// <summary>
                /// 评估人员
                /// </summary>    
				
				[Display(Name="评估人员")]   
								[Column("EstimatorsUserId")]   
				[DataMember]  
			    public Guid? EstimatorsUserId  {get;set;}   
                                /// <summary>
                /// 无描述
                /// </summary>    
				
				[Display(Name="无描述")]   
								[Column("AssessmentNo")]   
				[DataMember]  
			    public string AssessmentNo  {get;set;}   
                                /// <summary>
                /// 评估时间
                /// </summary>    
				
				[Display(Name="评估时间")]   
								[Column("EstimatorsDate")]   
				[DataMember]  
			    public DateTime? EstimatorsDate  {get;set;}   
                                /// <summary>
                /// 是否最终
                /// </summary>    
				
				[Display(Name="是否最终")]   
								[Column("IsFinal")]   
				[DataMember]  
			    public int IsFinal  {get;set;}   
                                /// <summary>
                /// 是否备案
                /// </summary>    
				
				[Display(Name="是否备案")]   
								[Column("IsInRecord")]   
				[DataMember]  
			    public int? IsInRecord  {get;set;}   
                                /// <summary>
                /// 备案时间
                /// </summary>    
				
				[Display(Name="备案时间")]   
								[Column("InRecordTime")]   
				[DataMember]  
			    public DateTime? InRecordTime  {get;set;}   
                                /// <summary>
                /// 备案人ID
                /// </summary>    
				
				[Display(Name="备案人ID")]   
								[Column("InRecordUserId")]   
				[DataMember]  
			    public Guid? InRecordUserId  {get;set;}   
                                /// <summary>
                /// 备案人
                /// </summary>    
				
				[Display(Name="备案人")]   
								[Column("InRecordUserName")]   
				[DataMember]  
			    public string InRecordUserName  {get;set;}   
                                /// <summary>
                /// 是否公开/是否公示
                /// </summary>    
				
				[Display(Name="是否公开/是否公示")]   
								[Column("IsPublic")]   
				[DataMember]  
			    public int? IsPublic  {get;set;}   
                                /// <summary>
                /// 公开时间/公示时间
                /// </summary>    
				
				[Display(Name="公开时间/公示时间")]   
								[Column("PublicTime")]   
				[DataMember]  
			    public DateTime? PublicTime  {get;set;}   
                                /// <summary>
                /// 公开人ID
                /// </summary>    
				
				[Display(Name="公开人ID")]   
								[Column("PublicUserId")]   
				[DataMember]  
			    public Guid? PublicUserId  {get;set;}   
                                /// <summary>
                /// 公开人
                /// </summary>    
				
				[Display(Name="公开人")]   
								[Column("PublicUserName")]   
				[DataMember]  
			    public string PublicUserName  {get;set;}   
                                /// <summary>
                /// 创建人姓名
                /// </summary>    
				
				[Display(Name="创建人姓名")]   
								[Column("CreateUserName")]   
				[DataMember]  
			    public string CreateUserName  {get;set;}   
                                /// <summary>
                /// 无描述
                /// </summary>    
				
				[Display(Name="无描述")]   
								[Column("UpdateTime")]   
				[DataMember]  
			    public DateTime? UpdateTime  {get;set;}   
                                /// <summary>
                /// 无描述
                /// </summary>    
				
				[Display(Name="无描述")]   
								[Column("UpdateUserId")]   
				[DataMember]  
			    public Guid? UpdateUserId  {get;set;}   
                                /// <summary>
                /// 无描述
                /// </summary>    
				
				[Display(Name="无描述")]   
								[Column("UpdateUserName")]   
				[DataMember]  
			    public string UpdateUserName  {get;set;}   
                                /// <summary>
                /// 备注
                /// </summary>    
				
				[Display(Name="备注")]   
								[Column("Remark")]   
				[DataMember]  
			    public string Remark  {get;set;}   
                                /// <summary>
                /// 无描述
                /// </summary>    
				
				[Display(Name="无描述")]   
								[Column("Files")]   
				[DataMember]  
			    public string Files  {get;set;}   
                                /// <summary>
                /// 被征收人
                /// </summary>    
				
				[Display(Name="被征收人")]   
								[Column("Bzsr")]   
				[DataMember]  
			    public string Bzsr  {get;set;}   
                                /// <summary>
                /// 房屋坐落
                /// </summary>    
				
				[Display(Name="房屋坐落")]   
								[Column("Fwzl")]   
				[DataMember]  
			    public string Fwzl  {get;set;}   
                                /// <summary>
                /// 建筑面积
                /// </summary>    
				
				[Display(Name="建筑面积")]   
								[Column("Jzmj")]   
				[DataMember]  
			    public string Jzmj  {get;set;}   
                                /// <summary>
                /// 土地面积
                /// </summary>    
				
				[Display(Name="土地面积")]   
								[Column("Tdmj")]   
				[DataMember]  
			    public string Tdmj  {get;set;}   
                                /// <summary>
                /// 阁楼补偿费
                /// </summary>    
				
				[Display(Name="阁楼补偿费")]   
								[Column("AtticAssessedValue")]   
				[DataMember]  
			    public decimal? AtticAssessedValue  {get;set;}   
                                /// <summary>
                /// 超容积率土地补偿费
                /// </summary>    
				
				[Display(Name="超容积率土地补偿费")]   
								[Column("ExceedLandMoney")]   
				[DataMember]  
			    public decimal? ExceedLandMoney  {get;set;}   
                                /// <summary>
                /// 超容积率土地
                /// </summary>    
				
				[Display(Name="超容积率土地")]   
								[Column("ExceedLand")]   
				[DataMember]  
			    public decimal? ExceedLand  {get;set;}   
                                /// <summary>
                /// 编号
                /// </summary>    
				
				[Display(Name="编号")]   
								[Column("No")]   
				[DataMember]  
			    public string No  {get;set;}   
                                /// <summary>
                /// 建筑面积
                /// </summary>    
				
				[Display(Name="建筑面积")]   
								[Column("BuildingArea")]   
				[DataMember]  
			    public decimal? BuildingArea  {get;set;}   
                                /// <summary>
                /// 土地面积
                /// </summary>    
				
				[Display(Name="土地面积")]   
								[Column("LandArea")]   
				[DataMember]  
			    public decimal? LandArea  {get;set;}   
                                /// <summary>
                /// 房屋部位
                /// </summary>    
				
				[Display(Name="房屋部位")]   
								[Column("HousePosition")]   
				[DataMember]  
			    public string HousePosition  {get;set;}   
                                /// <summary>
                /// 价值时点
                /// </summary>    
				
				[Display(Name="价值时点")]   
								[Column("MoneyPoint")]   
				[DataMember]  
			    public DateTime? MoneyPoint  {get;set;}   
                                /// <summary>
                /// 所在层(如果是连续层次1-3)
                /// </summary>    
				
				[Display(Name="所在层(如果是连续层次1-3)")]   
								[Column("InLayer")]   
				[DataMember]  
			    public string InLayer  {get;set;}   
                                /// <summary>
                /// 总层数
                /// </summary>    
				
				[Display(Name="总层数")]   
								[Column("AllLayer")]   
				[DataMember]  
			    public decimal? AllLayer  {get;set;}   
                                /// <summary>
                /// 是否顶层阁楼：0否，1是
                /// </summary>    
				
				[Display(Name="是否顶层阁楼：0否，1是")]   
								[Column("IfHaveAttic")]   
				[DataMember]  
			    public int? IfHaveAttic  {get;set;}   
                                /// <summary>
                /// 朝向
                /// </summary>    
				
				[Display(Name="朝向")]   
								[Column("Orientation")]   
				[DataMember]  
			    public string Orientation  {get;set;}   
                                /// <summary>
                /// 结构等级ID
                /// </summary>    
				
				[Display(Name="结构等级ID")]   
								[Column("StructureID")]   
				[DataMember]  
			    public string StructureID  {get;set;}   
                                /// <summary>
                /// 结构等级
                /// </summary>    
				
				[Display(Name="结构等级")]   
								[Column("StructureID_text")]   
				[DataMember]  
			    public string StructureID_text  {get;set;}   
                                /// <summary>
                /// 建造日期
                /// </summary>    
				
				[Display(Name="建造日期")]   
								[Column("BuildYear")]   
				[DataMember]  
			    public DateTime? BuildYear  {get;set;}   
                                /// <summary>
                /// 建成年份
                /// </summary>    
				
				[Display(Name="建成年份")]   
								[Column("CompletedYear")]   
				[DataMember]  
			    public string CompletedYear  {get;set;}   
                                /// <summary>
                /// 底层情况
                /// </summary>    
				
				[Display(Name="底层情况")]   
								[Column("Underlying")]   
				[DataMember]  
			    public string Underlying  {get;set;}   
                                /// <summary>
                /// 地段
                /// </summary>    
				
				[Display(Name="地段")]   
								[Column("Section")]   
				[DataMember]  
			    public string Section  {get;set;}   
                                /// <summary>
                /// 土地性质
                /// </summary>    
				
				[Display(Name="土地性质")]   
								[Column("LandWay")]   
				[DataMember]  
			    public string LandWay  {get;set;}   
                                /// <summary>
                /// 独用天井使用面积
                /// </summary>    
				
				[Display(Name="独用天井使用面积")]   
								[Column("CourtyardArea")]   
				[DataMember]  
			    public decimal? CourtyardArea  {get;set;}   
                                /// <summary>
                /// 独用晒台使用面积
                /// </summary>    
				
				[Display(Name="独用晒台使用面积")]   
								[Column("ShaitaiArea")]   
				[DataMember]  
			    public decimal? ShaitaiArea  {get;set;}   
                                /// <summary>
                /// 围墙类别
                /// </summary>    
				
				[Display(Name="围墙类别")]   
								[Column("WallType")]   
				[DataMember]  
			    public string WallType  {get;set;}   
                                /// <summary>
                /// 围墙面积
                /// </summary>    
				
				[Display(Name="围墙面积")]   
								[Column("WallArea")]   
				[DataMember]  
			    public decimal? WallArea  {get;set;}   
                                /// <summary>
                /// 车房类别
                /// </summary>    
				
				[Display(Name="车房类别")]   
								[Column("GarageType")]   
				[DataMember]  
			    public string GarageType  {get;set;}   
                                /// <summary>
                /// 车房房号
                /// </summary>    
				
				[Display(Name="车房房号")]   
								[Column("GarageNo")]   
				[DataMember]  
			    public string GarageNo  {get;set;}   
                                /// <summary>
                /// 车房面积
                /// </summary>    
				
				[Display(Name="车房面积")]   
								[Column("GarageArea")]   
				[DataMember]  
			    public decimal? GarageArea  {get;set;}   
                                /// <summary>
                /// 评估比准价
                /// </summary>    
				
				[Display(Name="评估比准价")]   
								[Column("PG_UnitMoney")]   
				[DataMember]  
			    public decimal? PG_UnitMoney  {get;set;}   
                                /// <summary>
                /// 结构修正系数
                /// </summary>    
				
				[Display(Name="结构修正系数")]   
								[Column("StructureRatio")]   
				[DataMember]  
			    public decimal? StructureRatio  {get;set;}   
                                /// <summary>
                /// 使用年限调整系数
                /// </summary>    
				
				[Display(Name="使用年限调整系数")]   
								[Column("YearRatio")]   
				[DataMember]  
			    public decimal? YearRatio  {get;set;}   
                                /// <summary>
                /// 朝向差价率
                /// </summary>    
				
				[Display(Name="朝向差价率")]   
								[Column("OrientationRatio")]   
				[DataMember]  
			    public decimal? OrientationRatio  {get;set;}   
                                /// <summary>
                /// 层次差价率
                /// </summary>    
				
				[Display(Name="层次差价率")]   
								[Column("LayerRatio")]   
				[DataMember]  
			    public decimal? LayerRatio  {get;set;}   
                                /// <summary>
                /// 层高修正系数
                /// </summary>    
				
				[Display(Name="层高修正系数")]   
								[Column("LayerHighRatio")]   
				[DataMember]  
			    public decimal? LayerHighRatio  {get;set;}   
                                /// <summary>
                /// 容积率修正系数
                /// </summary>    
				
				[Display(Name="容积率修正系数")]   
								[Column("VolumeRatio")]   
				[DataMember]  
			    public decimal? VolumeRatio  {get;set;}   
                                /// <summary>
                /// 装修面积小计
                /// </summary>    
				
				[Display(Name="装修面积小计")]   
								[Column("DecorateArea")]   
				[DataMember]  
			    public decimal? DecorateArea  {get;set;}   
                                /// <summary>
                /// 土地补偿金额
                /// </summary>    
				
				[Display(Name="土地补偿金额")]   
								[Column("LandCompensationMoney")]   
				[DataMember]  
			    public decimal? LandCompensationMoney  {get;set;}   
                                /// <summary>
                /// 土地出让金
                /// </summary>    
				
				[Display(Name="土地出让金")]   
								[Column("LandTransferMoney")]   
				[DataMember]  
			    public decimal? LandTransferMoney  {get;set;}   
                                /// <summary>
                /// 备注
                /// </summary>    
				
				[Display(Name="备注")]   
								[Column("Note")]   
				[DataMember]  
			    public string Note  {get;set;}   
                                /// <summary>
                /// 装修评估类型类型：0按面积装修评估 | 1分部分项装修
                /// </summary>    
				
				[Display(Name="装修评估类型类型：0按面积装修评估 | 1分部分项装修")]   
								[Column("DecorationType")]   
				[DataMember]  
			    public int DecorationType  {get;set;}   
                                /// <summary>
                /// 附属物评估类型：0通用附属物评估 | 1其他附属物评估
                /// </summary>    
				
				[Display(Name="附属物评估类型：0通用附属物评估 | 1其他附属物评估")]   
								[Column("AttachedType")]   
				[DataMember]  
			    public int AttachedType  {get;set;}   
                                /// <summary>
                /// 地价调整
                /// </summary>    
				
				[Display(Name="地价调整")]   
								[Column("AdjustLandMoney")]   
				[DataMember]  
			    public decimal? AdjustLandMoney  {get;set;}   
                                /// <summary>
                /// 金额选择：0超容积率土地评估金额 | 1土地出让金 | 2地价调整
                /// </summary>    
				
				[Display(Name="金额选择：0超容积率土地评估金额 | 1土地出让金 | 2地价调整")]   
								[Column("MoneyChoose")]   
				[DataMember]  
			    public string MoneyChoose  {get;set;}   
                                /// <summary>
                /// 评估方法：0-直接金额录入 1-普通报告录入 2-自定义报告录入
                /// </summary>    
				
				[Display(Name="评估方法：0-直接金额录入 1-普通报告录入 2-自定义报告录入")]   
								[Column("ValuationMethod")]   
				[DataMember]  
			    public int ValuationMethod  {get;set;}   
                                /// <summary>
                /// 评估项目状态：0-未使用 1-初审 2-二审 3-终审 4-终审通过
                /// </summary>    
				
				[Display(Name="评估项目状态：0-未使用 1-初审 2-二审 3-终审 4-终审通过")]   
								[Column("ValuationStatus")]   
				[DataMember]  
			    public int ValuationStatus  {get;set;}   
                                /// <summary>
                /// 通过终审后的打印次数
                /// </summary>    
				
				[Display(Name="通过终审后的打印次数")]   
								[Column("PrintTimes")]   
				[DataMember]  
			    public int? PrintTimes  {get;set;}   
                                /// <summary>
                /// 底层无自行车房的普通住宅房屋层次差价率
                /// </summary>    
				
				[Display(Name="底层无自行车房的普通住宅房屋层次差价率")]   
								[Column("NoData")]   
				[DataMember]  
			    public string NoData  {get;set;}   
                                /// <summary>
                /// 底层为自行车房的普通住宅房屋层次差价率
                /// </summary>    
				
				[Display(Name="底层为自行车房的普通住宅房屋层次差价率")]   
								[Column("BicycleData")]   
				[DataMember]  
			    public string BicycleData  {get;set;}   
                                /// <summary>
                /// 住宅房屋朝向差价率
                /// </summary>    
				
				[Display(Name="住宅房屋朝向差价率")]   
								[Column("OrientationRadioData")]   
				[DataMember]  
			    public string OrientationRadioData  {get;set;}   
                                /// <summary>
                /// 住宅房屋结构等级修正系数
                /// </summary>    
				
				[Display(Name="住宅房屋结构等级修正系数")]   
								[Column("StructureData")]   
				[DataMember]  
			    public string StructureData  {get;set;}   
                                /// <summary>
                /// 主要附属物评估标准
                /// </summary>    
				
				[Display(Name="主要附属物评估标准")]   
								[Column("AppendagesData")]   
				[DataMember]  
			    public string AppendagesData  {get;set;}   
                                /// <summary>
                /// 中高层住宅房屋层次差价率
                /// </summary>    
				
				[Display(Name="中高层住宅房屋层次差价率")]   
								[Column("MiddleHighData")]   
				[DataMember]  
			    public string MiddleHighData  {get;set;}   
                                /// <summary>
                /// 房屋部位：0不显示；1显示
                /// </summary>    
				
				[Display(Name="房屋部位：0不显示；1显示")]   
								[Column("HouseLocaion")]   
				[DataMember]  
			    public int? HouseLocaion  {get;set;}   
                                /// <summary>
                /// 评估自定义概况：0不显示；1显示
                /// </summary>    
				
				[Display(Name="评估自定义概况：0不显示；1显示")]   
								[Column("Survey")]   
				[DataMember]  
			    public int? Survey  {get;set;}   
                                /// <summary>
                /// 主要附属物：0不显示；1显示
                /// </summary>    
				
				[Display(Name="主要附属物：0不显示；1显示")]   
								[Column("ImportantFsw")]   
				[DataMember]  
			    public int? ImportantFsw  {get;set;}   
                                /// <summary>
                /// 附属物：0不显示；1显示
                /// </summary>    
				
				[Display(Name="附属物：0不显示；1显示")]   
								[Column("Attached")]   
				[DataMember]  
			    public int? Attached  {get;set;}   
                                /// <summary>
                /// 未登记建筑评估：0不显示；1显示
                /// </summary>    
				
				[Display(Name="未登记建筑评估：0不显示；1显示")]   
								[Column("Other")]   
				[DataMember]  
			    public int? Other  {get;set;}   
                                /// <summary>
                /// 其他因素修正系数
                /// </summary>    
				
				[Display(Name="其他因素修正系数")]   
								[Column("OtherRatio")]   
				[DataMember]  
			    public decimal? OtherRatio  {get;set;}   
                                /// <summary>
                /// 补缴土地出让金
                /// </summary>    
				
				[Display(Name="补缴土地出让金")]   
								[Column("PaymentLandTransferMoney")]   
				[DataMember]  
			    public decimal? PaymentLandTransferMoney  {get;set;}   
                                /// <summary>
                /// 是否落地房
                /// </summary>    
				
				[Display(Name="是否落地房")]   
								[Column("IsLDF")]   
				[DataMember]  
			    public string IsLDF  {get;set;}   
                                /// <summary>
                /// 土地出让金计算公式
                /// </summary>    
				
				[Display(Name="土地出让金计算公式")]   
								[Column("LandTransferMoneyFormula")]   
				[DataMember]  
			    public string LandTransferMoneyFormula  {get;set;}   
                                /// <summary>
                /// 无描述
                /// </summary>    
				
				[Display(Name="无描述")]   
								[Column("Carrymode")]   
				[DataMember]  
			    public string Carrymode  {get;set;}   
                 
		  }

		  /**
            /// <summary>
            /// 数据表实体类Map：InvestigateTable_Assessment 
            /// </summary>
            public class InvestigateTable_AssessmentMap : EntityTypeConfiguration<InvestigateTable_Assessment>
			{
                public InvestigateTable_AssessmentMap()
                {
					this.ToTable("InvestigateTable_Assessment");
												this.HasKey(t => t.ID);
													 this.Property(t => t.ProjectId).HasColumnName("ProjectId");
													 this.Property(t => t.ProjectName).HasColumnName("ProjectName");
													 this.Property(t => t.InvestigateTableID).HasColumnName("InvestigateTableID").IsRequired();
													 this.Property(t => t.HousingAssessmentValue).HasColumnName("HousingAssessmentValue");
													 this.Property(t => t.DecorateAssessedValue).HasColumnName("DecorateAssessedValue");
													 this.Property(t => t.AttachedAssessedValue).HasColumnName("AttachedAssessedValue");
													 this.Property(t => t.countValue).HasColumnName("countValue");
													 this.Property(t => t.EstimatorsUserId).HasColumnName("EstimatorsUserId");
													 this.Property(t => t.AssessmentNo).HasColumnName("AssessmentNo");
													 this.Property(t => t.EstimatorsDate).HasColumnName("EstimatorsDate");
													 this.Property(t => t.IsFinal).HasColumnName("IsFinal").IsRequired();
													 this.Property(t => t.IsInRecord).HasColumnName("IsInRecord");
													 this.Property(t => t.InRecordTime).HasColumnName("InRecordTime");
													 this.Property(t => t.InRecordUserId).HasColumnName("InRecordUserId");
													 this.Property(t => t.InRecordUserName).HasColumnName("InRecordUserName");
													 this.Property(t => t.IsPublic).HasColumnName("IsPublic");
													 this.Property(t => t.PublicTime).HasColumnName("PublicTime");
													 this.Property(t => t.PublicUserId).HasColumnName("PublicUserId");
													 this.Property(t => t.PublicUserName).HasColumnName("PublicUserName");
													 this.Property(t => t.CreateTime).HasColumnName("CreateTime");
													 this.Property(t => t.CreateUserId).HasColumnName("CreateUserId");
													 this.Property(t => t.CreateUserName).HasColumnName("CreateUserName");
													 this.Property(t => t.UpdateTime).HasColumnName("UpdateTime");
													 this.Property(t => t.UpdateUserId).HasColumnName("UpdateUserId");
													 this.Property(t => t.UpdateUserName).HasColumnName("UpdateUserName");
													 this.Property(t => t.Remark).HasColumnName("Remark");
													 this.Property(t => t.Files).HasColumnName("Files");
													 this.Property(t => t.Bzsr).HasColumnName("Bzsr");
													 this.Property(t => t.Fwzl).HasColumnName("Fwzl");
													 this.Property(t => t.Jzmj).HasColumnName("Jzmj");
													 this.Property(t => t.Tdmj).HasColumnName("Tdmj");
													 this.Property(t => t.AtticAssessedValue).HasColumnName("AtticAssessedValue");
													 this.Property(t => t.ExceedLandMoney).HasColumnName("ExceedLandMoney");
													 this.Property(t => t.ExceedLand).HasColumnName("ExceedLand");
													 this.Property(t => t.No).HasColumnName("No");
													 this.Property(t => t.BuildingArea).HasColumnName("BuildingArea");
													 this.Property(t => t.LandArea).HasColumnName("LandArea");
													 this.Property(t => t.HousePosition).HasColumnName("HousePosition");
													 this.Property(t => t.MoneyPoint).HasColumnName("MoneyPoint");
													 this.Property(t => t.InLayer).HasColumnName("InLayer");
													 this.Property(t => t.AllLayer).HasColumnName("AllLayer");
													 this.Property(t => t.IfHaveAttic).HasColumnName("IfHaveAttic");
													 this.Property(t => t.Orientation).HasColumnName("Orientation");
													 this.Property(t => t.StructureID).HasColumnName("StructureID");
													 this.Property(t => t.StructureID_text).HasColumnName("StructureID_text");
													 this.Property(t => t.BuildYear).HasColumnName("BuildYear");
													 this.Property(t => t.CompletedYear).HasColumnName("CompletedYear");
													 this.Property(t => t.Underlying).HasColumnName("Underlying");
													 this.Property(t => t.Section).HasColumnName("Section");
													 this.Property(t => t.LandWay).HasColumnName("LandWay");
													 this.Property(t => t.CourtyardArea).HasColumnName("CourtyardArea");
													 this.Property(t => t.ShaitaiArea).HasColumnName("ShaitaiArea");
													 this.Property(t => t.WallType).HasColumnName("WallType");
													 this.Property(t => t.WallArea).HasColumnName("WallArea");
													 this.Property(t => t.GarageType).HasColumnName("GarageType");
													 this.Property(t => t.GarageNo).HasColumnName("GarageNo");
													 this.Property(t => t.GarageArea).HasColumnName("GarageArea");
													 this.Property(t => t.PG_UnitMoney).HasColumnName("PG_UnitMoney");
													 this.Property(t => t.StructureRatio).HasColumnName("StructureRatio");
													 this.Property(t => t.YearRatio).HasColumnName("YearRatio");
													 this.Property(t => t.OrientationRatio).HasColumnName("OrientationRatio");
													 this.Property(t => t.LayerRatio).HasColumnName("LayerRatio");
													 this.Property(t => t.LayerHighRatio).HasColumnName("LayerHighRatio");
													 this.Property(t => t.VolumeRatio).HasColumnName("VolumeRatio");
													 this.Property(t => t.DecorateArea).HasColumnName("DecorateArea");
													 this.Property(t => t.LandCompensationMoney).HasColumnName("LandCompensationMoney");
													 this.Property(t => t.LandTransferMoney).HasColumnName("LandTransferMoney");
													 this.Property(t => t.Note).HasColumnName("Note");
													 this.Property(t => t.DecorationType).HasColumnName("DecorationType").IsRequired();
													 this.Property(t => t.AttachedType).HasColumnName("AttachedType").IsRequired();
													 this.Property(t => t.AdjustLandMoney).HasColumnName("AdjustLandMoney");
													 this.Property(t => t.MoneyChoose).HasColumnName("MoneyChoose");
													 this.Property(t => t.ValuationMethod).HasColumnName("ValuationMethod").IsRequired();
													 this.Property(t => t.ValuationStatus).HasColumnName("ValuationStatus").IsRequired();
													 this.Property(t => t.PrintTimes).HasColumnName("PrintTimes");
													 this.Property(t => t.NoData).HasColumnName("NoData");
													 this.Property(t => t.BicycleData).HasColumnName("BicycleData");
													 this.Property(t => t.OrientationRadioData).HasColumnName("OrientationRadioData");
													 this.Property(t => t.StructureData).HasColumnName("StructureData");
													 this.Property(t => t.AppendagesData).HasColumnName("AppendagesData");
													 this.Property(t => t.MiddleHighData).HasColumnName("MiddleHighData");
													 this.Property(t => t.HouseLocaion).HasColumnName("HouseLocaion");
													 this.Property(t => t.Survey).HasColumnName("Survey");
													 this.Property(t => t.ImportantFsw).HasColumnName("ImportantFsw");
													 this.Property(t => t.Attached).HasColumnName("Attached");
													 this.Property(t => t.Other).HasColumnName("Other");
													 this.Property(t => t.OtherRatio).HasColumnName("OtherRatio");
													 this.Property(t => t.PaymentLandTransferMoney).HasColumnName("PaymentLandTransferMoney");
													 this.Property(t => t.IsLDF).HasColumnName("IsLDF");
													 this.Property(t => t.LandTransferMoneyFormula).HasColumnName("LandTransferMoneyFormula");
													 this.Property(t => t.Carrymode).HasColumnName("Carrymode");
										}
			}**/

	}

	//----------InvestigateTable_Assessment结束----------

	